<template>
  <div class="bbsl-common-page">
    <el-row :gutter="10">
      <el-col :span="16">
        <div class="module-box">
          <!--    标识牌区域设备分析      -->
          <regional-equipment-analysis />
        </div>
      </el-col>
      <el-col :span="8">
        <div class="module-box">
          <!--    标识牌传感器状态对比      -->
          <sensor-status-comparison />
        </div>
      </el-col>
    </el-row>
    <el-row :gutter="10">
      <el-col :span="16">
        <div class="module-box">
          <!--    标识牌区域分析统计      -->
          <alarm-data-statistics />
        </div>
      </el-col>
      <el-col :span="8">
        <div class="module-box">
          <!--     标识牌-报警区域 top5     -->
          <ranking-alarm-rate-positions />
        </div>
      </el-col>
    </el-row>
  </div>
</template>

<script>

import RegionalEquipmentAnalysis from './components/RegionalEquipmentAnalysis/index.vue'
import SensorStatusComparison from './components/SensorStatusComparison/index.vue'
import AlarmDataStatistics from './components/AlarmDataStatistics/index.vue'
import RankingAlarmRatePositions from './components/RankingAlarmRatePositions/index.vue'

export default {
  name: 'EarlyWarningMonitoring',
  components: {
    RankingAlarmRatePositions,
    AlarmDataStatistics,
    SensorStatusComparison,
    RegionalEquipmentAnalysis
  },
  data() {
    return {}
  },
  mounted() {

  },
  methods: {}
}
</script>

<style lang="scss" scoped>
.bbsl-common-page {
  height: 100%;
  background-color: #ebeef4;
  display: flex;
  flex-direction: column;
  row-gap: 10px;
  overflow-y: auto;

  &::-webkit-scrollbar {
    display: none;
  }

  ::v-deep .el-row {
    flex: 1;
    min-height: 350px;

    .el-col {
      height: 100%;

      .module-box {
        height: 100%;
        display: flex;
        flex-direction: column;
        box-sizing: border-box;
        background-color: #fff;
        border-radius: 10px;
        overflow: hidden;
        transition: box-shadow 0.3s;
        box-shadow: rgba(0, 0, 0, 0.05) 0 3px 3px 0;
      }
    }
  }
}
</style>
